import { OnChanges, EventEmitter } from '@angular/core';
export declare class VeilPaginatorComponent implements OnChanges {
    navPages: Array<number>;
    selectedPage: number;
    offsetInfo: string;
    pagesCount: number;
    private initPages;
    langConfig: {
        prev: string;
        next: string;
        shown: string;
        from: string;
    };
    itemsCount: number;
    limit: number;
    navDisabled: boolean;
    pageChange: EventEmitter<number>;
    ngOnChanges(): void;
    onChangePage(page: number): void;
    onPrevPage(): void;
    onNextPage(): void;
    isFirstPage(): boolean;
    isLastPage(): boolean;
    private updateOffsetInfo;
    private trimNavigation;
}
